package com.kingdee.eas.custom.notify;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class NotifyTodoCollection extends AbstractObjectCollection 
{
    public NotifyTodoCollection()
    {
        super(NotifyTodoInfo.class);
    }
    public boolean add(NotifyTodoInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(NotifyTodoCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(NotifyTodoInfo item)
    {
        return removeObject(item);
    }
    public NotifyTodoInfo get(int index)
    {
        return(NotifyTodoInfo)getObject(index);
    }
    public NotifyTodoInfo get(Object key)
    {
        return(NotifyTodoInfo)getObject(key);
    }
    public void set(int index, NotifyTodoInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(NotifyTodoInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(NotifyTodoInfo item)
    {
        return super.indexOf(item);
    }
}